TextWriter (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.api

## Class TextWriter

- java.lang.Object
- - com.marketfactory.api.TextWriter

-     public class TextWriter
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `TextWriter.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextWriter(java.lang.StringBuffer codec)`
    `TextWriter(java.lang.StringBuffer codec, boolean pretty)`
    `TextWriter(java.lang.StringBuffer codec, boolean pretty, int offset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endline()`
    `void` | `newfield()`
    `void` | `pop(java.lang.String cend, TextWriter.State s)`
    `int` | `pos()`
    `TextWriter.State` | `push(java.lang.String cbegin, boolean isterminal)`
    `void` | `reset()`
    `void` | `write_raw(java.lang.String s)`
    `void` | `write(boolean s)`
    `void` | `write(byte s)`
    `void` | `write(float s)`
    `void` | `write(int s)`
    `void` | `write(long s)`
    `void` | `write(short s)`
    `void` | `write(java.lang.String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextWriter

          public TextWriter(java.lang.StringBuffer codec,
                            boolean pretty,
                            int offset)

    - #### TextWriter

          public TextWriter(java.lang.StringBuffer codec,
                            boolean pretty)

    - #### TextWriter

          public TextWriter(java.lang.StringBuffer codec)

  - ### Method Detail

    - #### push

          public TextWriter.State push(java.lang.String cbegin,
                                       boolean isterminal)

    - #### pop

          public void pop(java.lang.String cend,
                          TextWriter.State s)

    - #### newfield

          public void newfield()

    - #### reset

          public void reset()

    - #### pos

          public int pos()

    - #### endline

          public void endline()

    - #### write

          public void write(boolean s)

    - #### write

          public void write(byte s)

    - #### write

          public void write(short s)

    - #### write

          public void write(int s)

    - #### write

          public void write(long s)

    - #### write

          public void write(float s)

    - #### write

          public void write(java.lang.String s)

    - #### write_raw

          public void write_raw(java.lang.String s)